#include "DES/des.h"
#include <iostream>
#include <system_error>

component void hardware_des_encrypt (const ac_int<64,false> &D, const ac_int<64,false> &K, ac_int<64,false> &C) {

    C =  des_encrypt (D, K);
}

int main() {

    ac_int<64,false> D, K, C ;
    D = 0x0123456701234567 ;
    K = 0x7654321076543210 ;
    hardware_des_encrypt(D,K,C) ;

    std::cout <<  "D=" << D.to_string(AC_HEX) << " K=" << K.to_string(AC_HEX)  << " C=" << C.to_string(AC_HEX) << std::endl ;

    return 0;
}
